=== lib/Makefile ===
obj-m += lib-ring-buffer.o

lib-ring-buffer-objs := \
	ringbuffer/ring_buffer_backend.o \
	ringbuffer/ring_buffer_frontend.o \
	ringbuffer/ring_buffer_iterator.o \
	ringbuffer/ring_buffer_vfs.o \
	ringbuffer/ring_buffer_splice.o \
	ringbuffer/ring_buffer_mmap.o \
	prio_heap/lttng_prio_heap.o
