## lttng-modules 1.0~git20110609.171-gf91fd73

=== debian/changelog ===
lttng-modules (1.0~git20110609.171-gf91fd73-0ubuntu1) oneiric; urgency=low

  [ Michael Jeanson ]
  * Initial packaging from LTTng PPA

  [ Stéphane Graber ]
  * Upload to Ubuntu (LP: #791456)
  * Update debian/copyright to be complete
  * Set to 3.0 quilt instead of native
  * Set maintainer to ubuntu-dev
  * Tweak to work with code at the root of the tarball

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Jun 2011 13:19:04 -0400
