=== lib/Makefile ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	ringbuffer/ring_buffer_vfs.o \
 	ringbuffer/ring_buffer_splice.o \
 	ringbuffer/ring_buffer_mmap.o \
-	prio_heap/lttng_prio_heap.o
+	prio_heap/lttng_prio_heap.o \
+	../wrapper/splice.o
