=== probes/Makefile ===
--- 
+++ 
@@ -11,13 +11,29 @@
 obj-m += lttng-probe-lttng.o
 
 obj-m += lttng-probe-sched.o
+obj-m += lttng-probe-irq.o
+
+ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
+obj-m += lttng-probe-syscalls.o
+endif
+
+ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
-obj-m += lttng-probe-irq.o
+endif
+
+ifneq ($(CONFIG_BLOCK),)
+ifneq ($(CONFIG_EVENT_TRACING),)	# need blk_cmd_buf_len
 obj-m += lttng-probe-block.o
-obj-m += lttng-probe-syscalls.o
+endif
+endif
 
 ifneq ($(CONFIG_KPROBES),)
 obj-m += lttng-kprobes.o
+endif
+
+
+ifneq ($(CONFIG_KRETPROBES),)
+obj-m += lttng-kretprobes.o
 endif
 
 ifneq ($(CONFIG_DYNAMIC_FTRACE),)
