=== debian/changelog ===
lttng-modules (2.0~pre8-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix only release.
    - Fix metadata buffer wait/wakeup

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 Aug 2011 20:55:02 -0400

lttng-modules (2.0~pre7-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix only release.
    - Add missing module refcount to lttng_tracepoint_list_fops
    - Add license info about lib/ringbuffer/ring_buffer_mmap.c being GPLv2

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 12 Aug 2011 14:12:46 -0400

lttng-modules (2.0~pre6-0ubuntu1) oneiric; urgency=low

  * New upstream pre-release (2.0~pre6).
  * Update debian/copyright based on upstream LICENSE file
  * Add new modules to dkms.conf
    - lttng-kretprobes
    - lttng-ring-buffer-client-mmap-discard
    - lttng-ring-buffer-client-mmap-overwrite
    - lttng-ring-buffer-metadata-mmap-client

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Aug 2011 10:28:01 -0400
