## lttng-modules 2.0~pre14

=== probes/Makefile ===
--- 
+++ 
@@ -13,9 +13,7 @@
 obj-m += lttng-probe-sched.o
 obj-m += lttng-probe-irq.o
 
-ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
-obj-m += lttng-probe-syscalls.o
-endif
+obj-m += lttng-probe-statedump.o
 
 ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
@@ -23,7 +21,10 @@
 
 ifneq ($(CONFIG_BLOCK),)
 ifneq ($(CONFIG_EVENT_TRACING),)	# need blk_cmd_buf_len
-obj-m += lttng-probe-block.o
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 38 \) ] ; then \
+		echo "lttng-probe-block.o" ; fi;)
 endif
 endif
