## lttng-modules 2.0.0~rc2

=== debian/changelog ===
lttng-modules (2.0.0~rc2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release
    - dmesg printout should not print metadata warnings
    - use transport name as channel name
    - Return -EINVAL instead of print warning if non power of 2
      size/num_subbuf
    - statedump: Use old macro name for kernel 2.6.38


 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2012 18:04:01 -0500

lttng-modules (2.0~pre15-0ubuntu1) precise; urgency=low

  * New upstream pre-release tarball.
    - Adds lttng-probe-signal and lttng-probe-timer

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 11:50:17 -0500

lttng-modules (2.0~pre14-0ubuntu1) precise; urgency=low

  * New upstream pre-release tarball.
  * Will be refreshed by a full lttng 2.0 stack when released upstream.
    Upstream's release cycle matches Ubuntu's and they are entering
    Feature Freeze now. I'm planning to upload bugfix releases on top
    of this one.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 10:11:29 -0500
