=== probes/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 obj-m += lttng-probe-sched.o
 obj-m += lttng-probe-irq.o
+obj-m += lttng-probe-signal.o
+obj-m += lttng-probe-timer.o
 
 obj-m += lttng-probe-statedump.o
