=== debian/changelog ===
lttng-modules (2.0.0~rc3-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
  * Bump standards to 3.9.3 (no change required).

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 17 Mar 2012 19:04:43 -0400
