## lttng-modules 2.0.0

=== debian/changelog ===
lttng-modules (2.0.0-0ubuntu1) precise; urgency=low

  * Final 2.0.0 release (bugfix only from ~rc).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 20 Mar 2012 19:35:48 -0400
