=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://lttng.org
 
 Package: lttng-modules-dkms
