## lttng-modules 2.0.1

=== debian/changelog ===
lttng-modules (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 11:57:49 -0400

lttng-modules (2.0.0-0ubuntu2) precise; urgency=low

  * Abuse the fact that dkms.conf is sourced by a shell script to
    have it generated on the fly depending on the target kernel configuration.
    This allows for lttng-modules-dkms to be installed with varying
    kernel configs, most notably on ARM. (LP: #961857)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Mar 2012 23:07:54 -0400
