## lttng-modules 2.0.2

=== debian/changelog ===
lttng-modules (2.0.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
    - Fix: generate header missing echo -e for escape chars
    - Fix: add missing uaccess.h include (for ARM)
    - README: Document that CONFIG_MODULES is required
    - Fix: README typo
    - Fix: document required and optional kernel config options in README

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Apr 2012 14:45:32 +0200
