=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lttng-modules
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), dkms (>= 2.1.0.0)
+Maintainer: Jon Bernard <jbernard@debian.org>
+Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
 Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/collab-maint/lttng-modules.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/lttng-modules.git;a=summary
 Homepage: http://lttng.org
 
 Package: lttng-modules-dkms
