=== debian/watch ===
version=3
http://lttng.org/files/lttng-modules/lttng-modules-(.*)\.tar\.(?:gz|bz2)
