## lttng-modules 2.1.0~rc1

=== debian/changelog ===
lttng-modules (2.1.0~rc1-1) unstable; urgency=low

  * [74fbff0] Improve short description
  * [ad5fb86] Update watchfile to handle upstream RC releases
  * [3eae7ff] New upstream version 2.1.0~rc1

 -- Jon Bernard <jbernard@debian.org>  Tue, 11 Sep 2012 15:20:24 -0400
