## lttng-modules 2.3.2

=== debian/changelog ===
lttng-modules (2.3.2-1) unstable; urgency=low

  * [0e22097] New upstream version 2.3.2
  * [6e282fe] Correct module version number in dkms config
  * [f5c5d38] Include missing modules in dkms config.
    Thanks to Vincent Bernat (Closes: #723850)

 -- Jon Bernard <jbernard@debian.org>  Sat, 19 Oct 2013 18:55:20 -0400

lttng-modules (2.3.0-1) unstable; urgency=low

  * [d8209ca] New upstream version 2.3.0

 -- Jon Bernard <jbernard@debian.org>  Tue, 03 Sep 2013 22:10:20 -0400

lttng-modules (2.3.0~rc2-1) unstable; urgency=low

  * [df00912] New upstream version 2.3.0~rc2

 -- Jon Bernard <jbernard@debian.org>  Mon, 02 Sep 2013 13:09:19 -0400

lttng-modules (2.3.0~rc1-2) unstable; urgency=low

  * [ee85460] Update dkms config to match last upstream release
    (Closes: #717165)

 -- Jon Bernard <jbernard@debian.org>  Mon, 26 Aug 2013 12:45:41 -0400

lttng-modules (2.3.0~rc1-1) unstable; urgency=low

  * [e0f821c] New upstream version 2.3.0~rc1 (Closes: #717165)
  * [ef3a22d] Correct Section from misc to kernel
  * [46de1ab] Bump Standards-Version to 3.9.4, no changes necessary
  * [1cbff65] Remove bashism patch, included upstream

 -- Jon Bernard <jbernard@debian.org>  Fri, 02 Aug 2013 13:03:29 -0400
