=== debian/watch ===
version=3
opts=versionmangle=s/-(rc\d|pre\d)/~$1/ \
    http://lttng.org/files/lttng-modules/lttng-modules-(.*)\.tar\.(?:gz|bz2)
