=== debian/changelog ===
lttng-modules (2.4.0-1ubuntu1) trusty; urgency=medium

  * Fix installation failure due to invalid version string...

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 27 Mar 2014 11:04:27 -0400

lttng-modules (2.4.0-1) unstable; urgency=low

  * [8764991] New upstream version 2.4.0 (Closes: #734305)

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Mar 2014 20:07:40 -0400

lttng-modules (2.4.0~rc3-1) experimental; urgency=low

  * [9fe0e76] New upstream version 2.4.0~rc3
  * [a111ad6] Bump Standards-Version to 3.9.5, no changes necessary
  * [9565704] Update VCS fields
  * [943a589] Update watch file to only uversionmangle
  * [ce07d9b] Update module version number in dkms config

 -- Jon Bernard <jbernard@debian.org>  Thu, 13 Feb 2014 17:44:35 -0500
