=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lttng-modules
 Section: kernel
 Priority: extra
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/lttng-modules.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lttng-modules.git;a=summary
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/lttng-modules.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
 Homepage: http://lttng.org
 
 Package: lttng-modules-dkms
