=== debian/changelog ===
lttng-modules (2.5.0-1ubuntu1) utopic; urgency=medium

  * Fix dkms build failure for Utopic kernels (LP: #1396758)

 -- Joseph Salisbury <joseph.salisbury@canonical.com>  Wed, 17 Dec 2014 15:44:50 -0600

lttng-modules (2.5.0-1) unstable; urgency=medium

  * [2d86702] New upstream version 2.5.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 01 Aug 2014 22:32:49 -0400

lttng-modules (2.4.1-1) unstable; urgency=low

  [ Michael Jeanson ]
  * [27cf659] Exclude license files from install to fix lintian warning
  * [75604c7] Remove execute permission from source file to fix lintian warning
  * [4900606] Imported Upstream version 2.4.1
  * [55f9625] Permissions fixed in new upstream release

 -- Jon Bernard <jbernard@debian.org>  Thu, 10 Apr 2014 16:21:23 -0400

lttng-modules (2.4.0-2) unstable; urgency=low

  [ Michael Jeanson ]
  * [d549dc1] Fix module version in dkms configuration

 -- Jon Bernard <jbernard@debian.org>  Thu, 27 Mar 2014 15:38:35 -0400
