=== debian/changelog ===
lttng-modules (2.5.1-1) unstable; urgency=medium

  * [106d0a8] New upstream version 2.5.1
  * [62778a4] Bump standards version, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Fri, 24 Oct 2014 15:11:28 +0000
