=== lib/Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
-obj-m += lib-ring-buffer.o
+KERNELDIR=${LTTNG_KERNELDIR}
 
-lib-ring-buffer-objs := \
+include $(KBUILD_EXTMOD)/Makefile.ABI.workarounds
+
+obj-m += lttng-lib-ring-buffer.o
+
+lttng-lib-ring-buffer-objs := \
 	ringbuffer/ring_buffer_backend.o \
 	ringbuffer/ring_buffer_frontend.o \
 	ringbuffer/ring_buffer_iterator.o \
