=== debian/changelog ===
lttng-modules (2.6.2-1ubuntu3) wily; urgency=medium

  * Support linux 4.2 
    Dropped Fix-disable-kvm-probe-if-lapic.h-isn-t-found.patch
    Updated from git://git.lttng.org/lttng-modules.git stable-2.6
    git format-patch 7a88f8b50696dd71e80c08661159caf8e119bf51..0e648dfbed54d26f95a302d62512517ae09c8315
    0001-Fix-use-after-free-on-metadata-cache-reallocation.patch
    0002-Fix-Building-the-event-list-fails-on-fragmented-memo.patch
    0003-Fix-allow-LTTng-to-be-built-within-kernel-tree.patch
    0004-Fix-kvm-instrumentation-for-4.2-kernels.patch
    0005-Fix-ext4-instrumentation-for-4.2-kernels.patch
    0006-Fix-timer-instrumentation-for-4.2-kernels.patch
    0007-Fix-disable-kvm-probe-if-lapic.h-isn-t-found.patch
    0008-Fix-kmem-probe-with-Ubuntu-3.13-kernels.patch
    0009-Fix-mm_page_alloc_extfrag-instrumentation-for-kernel.patch
    0010-Fix-writeback-instrumentation-for-4.2-kernels.patch

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 24 Aug 2015 08:47:13 -0600

lttng-modules (2.6.2-1ubuntu2) wily; urgency=medium

  * dkms: Don't install regmap trace module.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 24 Jul 2015 15:01:42 -0500

lttng-modules (2.6.2-1ubuntu1) wily; urgency=medium

  * d/p/Fix-disable-kvm-probe-if-lapic.h-isn-t-found.patch:
    Fix build failures with v4.0+ kernels.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 24 Jul 2015 13:19:18 -0500

lttng-modules (2.6.2-1) unstable; urgency=medium

  [ Jon Bernard ]
  * [eb0b449] New upstream version 2.6.2

  [ Michael Jeanson ]
  * [fd2d7a6] Fix dh_install debian dir exclusion
  * [d7f5498] Regmap probe only builds on linux 4.1 and up (Closes: #788274)

 -- Jon Bernard <jbernard@debian.org>  Thu, 18 Jun 2015 20:16:30 +0000
