## lttng-modules 2.7.0

=== debian/changelog ===
lttng-modules (2.7.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [1d8e419] New upstream version 2.7.0
  * [c6bc676] Add new probe-v4l2 and test modules to dkms config

 -- Jon Bernard <jbernard@debian.org>  Mon, 26 Oct 2015 16:57:12 +0000

lttng-modules (2.6.3-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [42bdc5f] New upstream version 2.6.3
  * [6068452] Remove regmap probe module since it requires full kernel sources

 -- Jon Bernard <jbernard@debian.org>  Thu, 10 Sep 2015 20:24:20 +0000
