=== debian/changelog ===
lttng-modules (2.7.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [26261b4] New upstream version 2.7.1

 -- Jon Bernard <jbernard@debian.org>  Mon, 11 Jan 2016 12:54:46 +0000
