=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: lttng-modules
 Section: kernel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/lttng-modules.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
 Homepage: http://lttng.org
