=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh_auto_install
 
 override_dh_install:
-	dh_install -Xdebian -XLICENSE -Xgpl-2.0.txt -Xlgpl-2.1.txt
+	dh_install -Xdebian/ -XLICENSE -Xgpl-2.0.txt -Xlgpl-2.1.txt
 
 override_dh_auto_clean:
 	exit 0
