=== debian/changelog ===
lttng-modules (2.7.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [a0e9036] Add pgpsigurlmangle to watch file
  * [0bace1e] New upstream version 2.7.2
  * [eb429d3] Update vcs fields to use secure uri
  * [a1b3812] Bump standards version to 3.9.7, no changes necessary
  * [19a1783] Updated copyright file
  * [7afae37] Do not install vim swp files

 -- Jon Bernard <jbernard@debian.org>  Sat, 12 Mar 2016 06:43:08 -0500
